# deleteSigner

### Visão geral

Parâmetros:&#x20;

* String - token do documento

Retorno:

* String[ ](/facilitadores/sdks/sdk-em-java/classes-usadas/response/signer-response.md)- caso sucesso
* Exception - caso falha

Para excluir esse signatário precisamos:

* definir seu token api.
* definir o token do signatário.
* chamar o método.

### Uso:

Salve seu [Api Token](/master.md):

<pre class="language-typescript"><code class="lang-typescript"><strong>const apiToken: string = "SEU TOKEN";
</strong></code></pre>

Salve o token de seu signatário:

```typescript
const signerToken: string = "TOKEN DO SIGNATÁRIO";
```

Chame o método deleteSigner e receba como resposta uma string contendo "Signatário removido com sucesso."[ ](/facilitadores/sdks/sdk-em-java/classes-usadas/response/signer-response.md)ou uma mensagem de erro:

```typescript
async function exempleDeleteSigner() {
    try {
        response: string = new SignerRequest(apiToken).deleteSigner(signerToken);
        console.log(response);
    }
    catch(Err) {
        console.log(Err);
    }  
}
```

### Exemplo completo:

<pre class="language-typescript"><code class="lang-typescript">import SignerRequest from "sdk-node-typescript-zapsign/src/signer/SignerRequest";
<strong>
</strong><strong>const apiToken: string = "SEU TOKEN";
</strong>const signerToken: string = "TOKEN DO SIGNATÁRIO";

async function exempleDeleteSigner() {
    try {
        response: string = new SignerRequest(apiToken).deleteSigner(signerToken);
        console.log(response);
    }
    catch(Err) {
        console.log(Err);
    }  
}
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-typescript/requisicoes-para-signatarios/deletesigner.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
